Skip to main content
`Ctrl`+`K`

# SNESResetCounters

Reset counters for linear iterations and function evaluations.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESResetCounters(SNES snes)

Logically Collective

## Input Parameters

- snes - `SNES` context

## Note

It honors the flag set with `SNESSetCountersReset()`

## See Also

SNES: Nonlinear Solvers, `SNESGetNumberFunctionEvals()`, `SNESGetLinearSolveIterations()`, `SNESGetNPC()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages